<?php

	class SettingsLogo extends Balloon {

		private $settings;

		function __construct(){

			global $system;

			$this->settings = $system;

			if(isset($_POST['updateLogo'])){

				Commons::prepareDir(ROOT_PATH . 'statics');
				Commons::prepareDir(ROOT_PATH . 'statics/admin');
				Commons::prepareDir(ROOT_PATH . 'statics/admin/thumbs');

				$this->updateLogo();
			}

		}

		public function getLogo(){
			return $this->settings->getOption('logoEmpresa');
		}

		public function updateLogo(){

			$image = $_FILES['logo-empresa'];

			if($image['size'] > 0){

				// Removendo logo antiga.
				$file = ROOT_PATH . 'statics/admin/' . $this->getLogo();
				if(file_exists($file)){
					@unlink($file);
				}

				$filename = Commons::uploadImage($image, 'admin');

				if($filename){
					
					$setValue = $this->settings->setOption('logoEmpresa', $filename);

					if($setValue){
						$this->newBalloon(true, 'Atualizado com sucesso!');
					}else{
						$this->newBalloon(false, 'Erro ao atualizar');
					}

				}else{
					$this->newBalloon(false, 'Erro no upload da imagem');
				}
			}else{
				$this->newBalloon(false, 'Campo logo não pode ficar em branco!');
			}
		}

	}

	loadBaseView('logo', new SettingsLogo);